# class ActiveLdap::Xml

### Public Class Methods

new(dn, attributes, schema) click to toggle source

    # File lib/active_ldap/xml.rb, line 127
    def initialize(dn, attributes, schema)
      @dn = dn
      @attributes = attributes
      @schema = schema
    end

### Public Instance Methods

to_s(options={}) click to toggle source

    # File lib/active_ldap/xml.rb, line 133
    def to_s(options={})
      Serializer.new(@dn, @attributes, @schema, options).to_s
    end